*
* HEP event common description
*
NMXHEP: maximum numbers of entries (partons/particles) that can be
    stored in the commonblock. The default value of 2000 can be changed
    via the parameter construction. In the translation, it is
    checked that this value is not exceeded.
NEVHEP: is normally the event number, but may have special meaning,
    according to description below.
    > 0 : event number, sequentially increased by 1 for each call to
        the main event generation routine, starting with 1 for the
        first event generated.
    = 0 : for a program which does not keep track of event numbers,
        like JETSET.
    = -1 : special initialization record; not used by JETSET.
    = -2 : special final record; not used by JETSET.

NHEP: the actual number of entries stored in current event. These are
    found in the first NHEP positions of the respective arrays below.
    Index IHEP, 1 <= IHEP <= NHEP, is below used to denote a given
    entry.
ISTHEP(IHEP): status code for entry IHEP, with following meanings:
    = 0 : null entry.
    = 1 : an existing entry, which has not decayed or fragmented.
        This is the main class of entries which represents the
        "final state" given by the generator.
    = 2 : an entry which has decayed or fragmented and therefore
        is not appearing in the final state, but is retained for
        event history information.
    = 3 : a documentation line, defined separately from the event
        history. This could include the two incoming reacting
        particles, etc.
    = 4 - 10 : undefined, but reserved for future standards.
    = 11 - 200 : at the disposal of each model builder for constructs
        specific to his program, but equivalent to a null line in the
        context of any other program.
    = 201 - : at the disposal of users, in particular for event tracking
        in the detector.
IDHEP(IHEP) : particle identity, according to the Particle Data Group
    standard. The four additional codes 91 - 94 have been introduced
    to make the event history more legible, see section 2.1 and the
    MSTU(16) description.
JMOHEP(1,IHEP) : pointer to the position where the mother is stored.
    The value is 0 for initial entries.
JMOHEP(2,IHEP) : pointer to position of second mother. Normally only
    one mother exist, in which case the value 0 is to be used.
    In JETSET, entries with codes 91 - 94 are the only ones to have
    two mothers. The flavour contents of these object, as well as
    details of momentum sharing, have to be found by looking at the
    mother partons, i.e. the two partons in positions JMOHEP(1,IHEP)
    and JMOHEP(2,IHEP) for a cluster or a shower system, and the range
    JMOHEP(1,IHEP) - JMOHEP(2,IHEP) for a string or an independent
    fragmentation parton system.
JDAHEP(1,IHEP) : pointer to the position of the first daughter. If an
    entry has not decayed, this is 0.
JDAHEP(2,IHEP) : pointer to the position of the last daughter. If an
    entry has not decayed, this is 0. It is assumed that daughters are
    stored sequentially, so that the whole range JDAHEP(1,IHEP) -
    JDAHEP(2,IHEP) contains daughters. This should be done also when
    only one daughter is present, like in K0 -> K_S0 decays.
    Normally daughters are stored after mothers, but in backwards
    evolution of initial state radiation the opposite may appear,
    i.e. that mothers are found below the daughters they branch into.
    Also, the two daughters need then not appear one after the other,
    but may be separated in the event record.
PHEP(1,IHEP) : momentum in the x direction, in GeV/c.
PHEP(2,IHEP) : momentum in the y direction, in GeV/c.
PHEP(3,IHEP) : momentum in the z direction, in GeV/c.
PHEP(4,IHEP) : energy, in GeV.
PHEP(5,IHEP) : mass, in GeV/c**2. For spacelike partons, it is allowed
    to use a negative mass, according to PHEP(5,IHEP) = -sqrt(-m**2).
VHEP(1,IHEP) : production vertex x position, in mm.
VHEP(2,IHEP) : production vertex y position, in mm.
VHEP(3,IHEP) : production vertex z position, in mm.
VHEP(4,IHEP) : production time, in mm/c (= 3.33*10**(-12) s).
---------------------------------------------------------------------------


